FACETIZE
nged
BRL-CAD
BRL-CAD User Commands

# facetize

Creates new_object as a BOT shape by tessellating all the primitive shapes in old_object and then performing any Boolean operations specified in old_object.

        facetize

         -n
         -t
         -T

         -P
         #

         new_object old_object

## DESCRIPTION

Creates new_object as a BOT shape by tessellating all the primitive shapes in old_object and then performing any Boolean operations specified in old_object. The -T option indicates that all faces in the new_object should be triangulated. The -n option specifies that the resulting shape should be saved as an NMG shape. The -t option is to create TNURB faces rather than planar approximations (this option is still under development). The -P option is intended to allow the user to specify the number of CPUs to use for this command, but it is currently ignored.

## EXAMPLES

The example shows the use of the `facetize` command to create a facetized BOT version of an existing object (old_object) and renaming that facetized object( new_object).

### Create a facetized BOT version of an existing object.

mged> `facetize region1.nmg region1.r`

  Creates a facetized BOT version of existing object region1.r.

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.